Index: branches/dev_001_SBC/NEMO/LIM_SRC/limhdf.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/limhdf.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/limhdf.F90	(revision 881)
@@ -1,12 +1,12 @@
-MODULE limhdf
+MODULE limhdf_2
    !!======================================================================
-   !!                    ***  MODULE limhdf   ***
-   !! LIM ice model : horizontal diffusion of sea-ice quantities
+   !!                    ***  MODULE limhdf_2   ***
+   !! LIM 2.0 ice model : horizontal diffusion of sea-ice quantities
    !!======================================================================
-#if defined key_ice_lim
+#if defined key_lim2
    !!----------------------------------------------------------------------
-   !!   'key_ice_lim'                                     LIM sea-ice model
+   !!   'key_lim2'                                    LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-   !!   lim_hdf  : diffusion trend on sea-ice variable
+   !!   lim_hdf_2  : diffusion trend on sea-ice variable
    !!----------------------------------------------------------------------
    !! * Modules used
@@ -14,5 +14,5 @@
    USE ice_oce         ! ice variables
    USE in_out_manager
-   USE ice
+   USE ice_2
    USE lbclnk
    USE lib_mpp
@@ -23,5 +23,5 @@
 
    !! * Routine accessibility
-   PUBLIC lim_hdf    ! called by lim_tra
+   PUBLIC lim_hdf_2    ! called by lim_tra_2
 
    !! * Module variables
@@ -40,7 +40,7 @@
 CONTAINS
 
-   SUBROUTINE lim_hdf( ptab )
+   SUBROUTINE lim_hdf_2( ptab )
       !!-------------------------------------------------------------------
-      !!                  ***  ROUTINE lim_hdf  ***
+      !!                  ***  ROUTINE lim_hdf_2  ***
       !!
       !! ** purpose :   Compute and add the diffusive trend on sea-ice
@@ -171,15 +171,15 @@
       ENDIF
 
-   END SUBROUTINE lim_hdf
+   END SUBROUTINE lim_hdf_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option          Dummy module           NO LIM sea-ice model
+   !!   Default option          Dummy module       NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_hdf         ! Empty routine
-   END SUBROUTINE lim_hdf
+   SUBROUTINE lim_hdf_2       ! Empty routine
+   END SUBROUTINE lim_hdf_2
 #endif
 
    !!======================================================================
-END MODULE limhdf
+END MODULE limhdf_2
Index: branches/dev_001_SBC/NEMO/LIM_SRC/limistate.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/limistate.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/limistate.F90	(revision 881)
@@ -1,5 +1,5 @@
-MODULE limistate
+MODULE limistate_2
    !!======================================================================
-   !!                     ***  MODULE  limistate  ***
+   !!                     ***  MODULE  limistate_2  ***
    !!              Initialisation of diagnostics ice variables
    !!======================================================================
@@ -10,20 +10,20 @@
    !!                  !  07-10  (G. Madec)  surface module
    !!--------------------------------------------------------------------
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
-   !!   lim_istate      :  Initialisation of diagnostics ice variables
-   !!   lim_istate_init :  initialization of ice state and namelist read
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   lim_istate_2      :  Initialisation of diagnostics ice variables
+   !!   lim_istate_init_2 :  initialization of ice state and namelist read
    !!----------------------------------------------------------------------
    USE phycst
    USE ocfzpt
-   USE par_ice         ! ice parameters
+   USE par_ice_2       ! ice parameters
    USE ice_oce         ! ice variables
-   USE dom_ice
+   USE dom_ice_2
    USE lbclnk
    USE oce
-   USE ice
+   USE ice_2
    USE iom
    USE in_out_manager
@@ -32,7 +32,7 @@
    PRIVATE
 
-   PUBLIC   lim_istate   ! routine called by lim_init.F90
-
-   REAL(wp) ::           & !!! ** init namelist (namiceini) **
+   PUBLIC lim_istate_2      ! routine called by lim_init_2.F90
+
+   REAL(wp) ::           &  !!! ** init namelist (namiceini) **
       ttest  = 2.0  ,    &  ! threshold water temperature for initial sea ice
       hninn  = 0.5  ,    &  ! initial snow thickness in the north
@@ -54,7 +54,7 @@
 CONTAINS
 
-   SUBROUTINE lim_istate
-      !!-------------------------------------------------------------------
-      !!                    ***  ROUTINE lim_istate  ***
+   SUBROUTINE lim_istate_2
+      !!-------------------------------------------------------------------
+      !!                    ***  ROUTINE lim_istate_2  ***
       !!
       !! ** Purpose :   defined the sea-ice initial state
@@ -68,5 +68,5 @@
       !--------------------------------------------------------------------
  
-      CALL lim_istate_init     !  reading the initials parameters of the ice
+      CALL lim_istate_init_2     !  reading the initials parameters of the ice
 
       IF( .NOT. ln_limini ) THEN  
@@ -153,10 +153,10 @@
       CALL lbc_lnk( qstoif , 'T', 1. )
 
-   END SUBROUTINE lim_istate
+   END SUBROUTINE lim_istate_2
 
    
-   SUBROUTINE lim_istate_init
-      !!-------------------------------------------------------------------
-      !!                   ***  ROUTINE lim_istate_init  ***
+   SUBROUTINE lim_istate_init_2
+      !!-------------------------------------------------------------------
+      !!                   ***  ROUTINE lim_istate_init_2  ***
       !!        
       !! ** Purpose :   Definition of initial state of the ice 
@@ -179,6 +179,6 @@
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'lim_istate_init : ice parameters inititialisation '
-         WRITE(numout,*) '~~~~~~~~~~~~~~~'
+         WRITE(numout,*) 'lim_istate_init_2 : ice parameters inititialisation '
+         WRITE(numout,*) '~~~~~~~~~~~~~~~~~'
          WRITE(numout,*) '         threshold water temp. for initial sea-ice    ttest      = ', ttest
          WRITE(numout,*) '         initial snow thickness in the north          hninn      = ', hninn
@@ -214,15 +214,15 @@
       ENDIF
       !     
-   END SUBROUTINE lim_istate_init
+   END SUBROUTINE lim_istate_init_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :         Empty module          NO LIM sea-ice model
+   !!   Default option :         Empty module      NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_istate          ! Empty routine
-   END SUBROUTINE lim_istate
+   SUBROUTINE lim_istate_2        ! Empty routine
+   END SUBROUTINE lim_istate_2
 #endif
 
    !!======================================================================
-END MODULE limistate
+END MODULE limistate_2
Index: branches/dev_001_SBC/NEMO/LIM_SRC/limmsh.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/limmsh.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/limmsh.F90	(revision 881)
@@ -1,17 +1,17 @@
-MODULE limmsh
+MODULE limmsh_2
    !!======================================================================
-   !!                     ***  MODULE  limmsh  ***
-   !! LIM ice model :   definition of the ice mesh parameters
+   !!                     ***  MODULE  limmsh_2  ***
+   !! LIM 2.0 ice model :   definition of the ice mesh parameters
    !!======================================================================
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim'                                     LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!   lim_msh   : definition of the ice mesh
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2'                                     LIM 2.0sea-ice model
+   !!----------------------------------------------------------------------
+   !!   lim_msh_2   : definition of the ice mesh
    !!----------------------------------------------------------------------
    !! * Modules used
    USE phycst
    USE dom_oce
-   USE dom_ice
+   USE dom_ice_2
    USE lbclnk
    USE in_out_manager
@@ -21,5 +21,5 @@
 
    !! * Accessibility
-   PUBLIC lim_msh      ! routine called by ice_ini.F90
+   PUBLIC lim_msh_2      ! routine called by ice_ini_2.F90
 
    !!----------------------------------------------------------------------
@@ -31,7 +31,7 @@
 CONTAINS
 
-   SUBROUTINE lim_msh
+   SUBROUTINE lim_msh_2
       !!-------------------------------------------------------------------
-      !!                  ***  ROUTINE lim_msh  ***
+      !!                  ***  ROUTINE lim_msh_2  ***
       !!              
       !! ** Purpose : Definition of the charact. of the numerical grid
@@ -62,6 +62,6 @@
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'lim_msh : LIM sea-ice model, mesh initialization'
-         WRITE(numout,*) '~~~~~~~'
+         WRITE(numout,*) 'lim_msh_2 : LIM 2.0 sea-ice model, mesh initialization'
+         WRITE(numout,*) '~~~~~~~~~'
       ENDIF
       
@@ -245,5 +245,5 @@
       area(:,:) = e1t(:,:) * e2t(:,:)
       
-   END SUBROUTINE lim_msh
+   END SUBROUTINE lim_msh_2
 
 #else
@@ -252,8 +252,8 @@
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_msh           ! Dummy routine
-   END SUBROUTINE lim_msh
+   SUBROUTINE lim_msh_2           ! Dummy routine
+   END SUBROUTINE lim_msh_2
 #endif
 
    !!======================================================================
-END MODULE limmsh
+END MODULE limmsh_2
Index: branches/dev_001_SBC/NEMO/LIM_SRC/limrhg.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/limrhg.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/limrhg.F90	(revision 881)
@@ -1,5 +1,5 @@
-MODULE limrhg
+MODULE limrhg_2
    !!======================================================================
-   !!                     ***  MODULE  limrhg  ***
+   !!                     ***  MODULE  limrhg_2  ***
    !!   Ice rheology :  performs sea ice rheology
    !!======================================================================
@@ -10,17 +10,17 @@
    !!            " "  !  09-09  (G. Madec)  Huge verctor optimisation
    !!----------------------------------------------------------------------
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim'                                     LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
-   !!   lim_rhg   : computes ice velocities
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2'                                    LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   lim_rhg_2   : computes ice velocities
    !!----------------------------------------------------------------------
    USE par_oce        ! ocean parameter
    USE ice_oce        ! ice variables
    USE sbc_ice        ! surface boundary condition: ice variables
-   USE dom_ice        ! domaine: ice variables
+   USE dom_ice_2      ! domaine: ice variables
    USE phycst         ! physical constant
-   USE ice            ! ice variables
+   USE ice_2          ! ice variables
    USE lbclnk         ! lateral boundary condition
    USE lib_mpp        ! MPP library
@@ -31,5 +31,5 @@
    PRIVATE
 
-   PUBLIC   lim_rhg   ! routine called by lim_dyn
+   PUBLIC   lim_rhg_2 ! routine called by lim_dyn
 
    REAL(wp) ::   rzero   = 0.e0   ! constant value: zero
@@ -46,7 +46,7 @@
 CONTAINS
 
-   SUBROUTINE lim_rhg( k_j1, k_jpj )
+   SUBROUTINE lim_rhg_2( k_j1, k_jpj )
       !!-------------------------------------------------------------------
-      !!                 ***  SUBROUTINR lim_rhg  ***
+      !!                 ***  SUBROUTINR lim_rhg_2  ***
       !!
       !! ** purpose :   determines the velocity field of sea ice by using
@@ -567,16 +567,16 @@
       ENDIF
 
-   END SUBROUTINE lim_rhg
+   END SUBROUTINE lim_rhg_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option          Dummy module           NO LIM sea-ice model
+   !!   Default option          Dummy module       NO 2.0 LIM sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_rhg( k1 , k2 )         ! Dummy routine
-      WRITE(*,*) 'lim_rhg: You should not have seen this print! error?', k1, k2
-   END SUBROUTINE lim_rhg
+   SUBROUTINE lim_rhg_2( k1 , k2 )       ! Dummy routine
+      WRITE(*,*) 'lim_rhg_2: You should not have seen this print! error?', k1, k2
+   END SUBROUTINE lim_rhg_2
 #endif
 
    !!==============================================================================
-END MODULE limrhg
+END MODULE limrhg_2
Index: branches/dev_001_SBC/NEMO/LIM_SRC/limrst.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/limrst.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/limrst.F90	(revision 881)
@@ -1,5 +1,5 @@
-MODULE limrst
+MODULE limrst_2
    !!======================================================================
-   !!                     ***  MODULE  limrst  ***
+   !!                     ***  MODULE  limrst_2  ***
    !! Ice restart :  write the ice restart file
    !!======================================================================
@@ -7,14 +7,14 @@
    !!                 !  06-07  (S. Masson)  use IOM for restart read/write
    !!----------------------------------------------------------------------
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
-   !!   lim_rst_opn   : open ice restart file
-   !!   lim_rst_write : write of the ice restart file 
-   !!   lim_rst_read  : read  the ice restart file 
-   !!----------------------------------------------------------------------
-   USE ice
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   lim_rst_opn_2   : open ice restart file
+   !!   lim_rst_write_2 : write of the ice restart file 
+   !!   lim_rst_read_2  : read  the ice restart file 
+   !!----------------------------------------------------------------------
+   USE ice_2
    USE sbc_oce
    USE sbc_ice
@@ -27,7 +27,7 @@
    PRIVATE
 
-   PUBLIC   lim_rst_opn     ! routine called by ??? module
-   PUBLIC   lim_rst_write   ! routine called by lim_step.F90
-   PUBLIC   lim_rst_read    ! routine called by lim_init.F90
+   PUBLIC   lim_rst_opn_2     ! routine called by sbcice_lim_2.F90
+   PUBLIC   lim_rst_write_2   ! routine called by sbcice_lim_2.F90
+   PUBLIC   lim_rst_read_2    ! routine called by iceini_2.F90
 
    LOGICAL, PUBLIC ::   lrst_ice         !: logical to control the ice restart write 
@@ -42,7 +42,7 @@
 CONTAINS
 
-   SUBROUTINE lim_rst_opn( kt )
-      !!----------------------------------------------------------------------
-      !!                    ***  lim_rst_opn  ***
+   SUBROUTINE lim_rst_opn_2( kt )
+      !!----------------------------------------------------------------------
+      !!                    ***  lim_rst_opn_2  ***
       !!
       !! ** purpose  :   output of sea-ice variable in a netcdf file
@@ -82,10 +82,10 @@
       ENDIF
       !
-   END SUBROUTINE lim_rst_opn
-
-
-   SUBROUTINE lim_rst_write( kt )
-      !!----------------------------------------------------------------------
-      !!                    ***  lim_rst_write  ***
+   END SUBROUTINE lim_rst_opn_2
+
+
+   SUBROUTINE lim_rst_write_2( kt )
+      !!----------------------------------------------------------------------
+      !!                    ***  lim_rst_write_2  ***
       !!
       !! ** purpose  :   output of sea-ice variable in a netcdf file
@@ -100,9 +100,9 @@
       IF( iter == nitrst ) THEN
          IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'lim_rst_write : write ice restart file  kt =', kt
-         IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~'
-      ENDIF
-
-      ! Write in numriw (if iter  == nitrst)
+         IF(lwp) WRITE(numout,*) 'lim_rst_write_2 : write ice restart file  kt =', kt
+         IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~~'
+      ENDIF
+
+      ! Write in numriw (if iter == nitrst)
       ! ------------------ 
       !                                                                     ! calendar control
@@ -164,10 +164,10 @@
       ENDIF
       !
-   END SUBROUTINE lim_rst_write
-
-
-   SUBROUTINE lim_rst_read
-      !!----------------------------------------------------------------------
-      !!                    ***  lim_rst_read  ***
+   END SUBROUTINE lim_rst_write_2
+
+
+   SUBROUTINE lim_rst_read_2
+      !!----------------------------------------------------------------------
+      !!                    ***  lim_rst_read_2  ***
       !!
       !! ** purpose  :   read of sea-ice variable restart in a netcdf file
@@ -178,6 +178,6 @@
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'lim_rst_read : read ice NetCDF restart file'
-         WRITE(numout,*) '~~~~~~~~~~~~'
+         WRITE(numout,*) 'lim_rst_read_2 : read ice NetCDF restart file'
+         WRITE(numout,*) '~~~~~~~~~~~~~~'
       ENDIF
 
@@ -247,12 +247,12 @@
       CALL iom_close( numrir )
       !
-   END SUBROUTINE lim_rst_read
+   END SUBROUTINE lim_rst_read_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :       Empty module            NO LIM sea-ice model
+   !!   Default option :       Empty module        NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 #endif
 
    !!======================================================================
-END MODULE limrst
+END MODULE limrst_2
Index: branches/dev_001_SBC/NEMO/LIM_SRC/limsbc.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/limsbc.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/limsbc.F90	(revision 881)
@@ -1,5 +1,5 @@
-MODULE limsbc
+MODULE limsbc_2
    !!======================================================================
-   !!                       ***  MODULE limsbc   ***
+   !!                       ***  MODULE limsbc_2   ***
    !!           computation of the flux at the sea ice/ocean interface
    !!======================================================================
@@ -8,10 +8,10 @@
    !!           06-07 (G. Madec) surface module
    !!----------------------------------------------------------------------
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim'                                     LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
-   !!   lim_sbc  : flux at the ice / ocean interface
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2'                                    LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   lim_sbc_2  : flux at the ice / ocean interface
    !!----------------------------------------------------------------------
    USE par_oce          ! ocean parameters
@@ -22,6 +22,6 @@
    USE ocfzpt           ! surface ocean freezing point
    USE ice_oce          ! sea-ice variable
-   USE ice              ! LIM sea-ice variables
-   USE iceini           ! ???
+   USE ice_2            ! LIM sea-ice variables
+   USE iceini_2         ! ???
    USE dynspg_oce       ! choice of the surface pressure gradient scheme 
 
@@ -34,5 +34,5 @@
    PRIVATE
 
-   PUBLIC lim_sbc       ! called by lim_step
+   PUBLIC lim_sbc_2     ! called by sbc_ice_lim_2
 
    REAL(wp)  ::   epsi16 = 1.e-16  ! constant values
@@ -44,5 +44,5 @@
    !!----------------------------------------------------------------------
    !!   LIM 2.0,  UCL-LOCEAN-IPSL (2006) 
-   !! $Header: $
+   !! $ Id: $
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -50,7 +50,7 @@
 CONTAINS
 
-   SUBROUTINE lim_sbc( kt )
+   SUBROUTINE lim_sbc_2( kt )
       !!-------------------------------------------------------------------
-      !!                ***  ROUTINE lim_sbc ***
+      !!                ***  ROUTINE lim_sbc_2 ***
       !!  
       !! ** Purpose : Update surface ocean boundary condition over areas
@@ -96,6 +96,6 @@
       IF( kt == nit000 ) THEN
          IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'lim_sbc : LIM sea-ice - surface boundary condition'
-         IF(lwp) WRITE(numout,*) '~~~~~~~   '
+         IF(lwp) WRITE(numout,*) 'lim_sbc_2 : LIM 2.0 sea-ice - surface boundary condition'
+         IF(lwp) WRITE(numout,*) '~~~~~~~~~   '
       ENDIF
 
@@ -241,15 +241,15 @@
       ENDIF 
    
-    END SUBROUTINE lim_sbc
+    END SUBROUTINE lim_sbc_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :        Dummy module           NO LIM sea-ice model
+   !!   Default option :        Dummy module       NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_sbc         ! Dummy routine
-   END SUBROUTINE lim_sbc
+   SUBROUTINE lim_sbc_2         ! Dummy routine
+   END SUBROUTINE lim_sbc_2
 #endif 
 
    !!======================================================================
-END MODULE limsbc
+END MODULE limsbc_2
Index: branches/dev_001_SBC/NEMO/LIM_SRC/limtab.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/limtab.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/limtab.F90	(revision 881)
@@ -1,8 +1,8 @@
-MODULE limtab
+MODULE limtab_2
    !!======================================================================
-   !!                       ***  MODULE limtab   ***
+   !!                       ***  MODULE limtab_2   ***
    !!              transform 1D (2D) array to a 2D (1D) table
    !!======================================================================
-#if defined key_ice_lim
+#if defined key_lim2
    !!----------------------------------------------------------------------
    !!   tab_2d_1d  : 2-D to 1-D
@@ -16,6 +16,6 @@
 
    !! * Routine accessibility
-   PUBLIC tab_2d_1d  ! called by lim_ther
-   PUBLIC tab_1d_2d  ! called by lim_ther
+   PUBLIC tab_2d_1d_2  ! called by lim_ther
+   PUBLIC tab_1d_2d_2  ! called by lim_ther
 
    !!----------------------------------------------------------------------
@@ -26,5 +26,5 @@
 CONTAINS
 
-   SUBROUTINE tab_2d_1d ( ndim1d, tab1d, tab2d, ndim2d_x, ndim2d_y, tab_ind )
+   SUBROUTINE tab_2d_1d_2 ( ndim1d, tab1d, tab2d, ndim2d_x, ndim2d_y, tab_ind )
 
       INTEGER, INTENT(in) :: &
@@ -49,8 +49,8 @@
       END DO 
 
-   END SUBROUTINE tab_2d_1d
+   END SUBROUTINE tab_2d_1d_2
 
 
-   SUBROUTINE tab_1d_2d ( ndim1d, tab2d, tab_ind, tab1d, ndim2d_x, ndim2d_y )
+   SUBROUTINE tab_1d_2d_2 ( ndim1d, tab2d, tab_ind, tab1d, ndim2d_x, ndim2d_y )
 
       INTEGER, INTENT ( in) :: &
@@ -75,6 +75,6 @@
       END DO
 
-   END SUBROUTINE tab_1d_2d
+   END SUBROUTINE tab_1d_2d_2
 
 #endif
-END MODULE limtab
+END MODULE limtab_2
